Loading...
Searching...
No Matches
list.c File Reference

List elements. More...

`#include <stdlib.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for gis/list.c:

Go to the source code of this file.

## Functions

void | G_list_element (const char *element, const char *desc, const char *mapset, int(*lister)(const char *, const char *, char *))
| General purpose list function.
char ** | G_list (int element, const char *gisbase, const char *location, const char *mapset)
| List specified type of elements. Application must release the allocated memory.
void | G_free_list (char **list)
| Free list.

## Detailed Description

List elements.

Author
  Unknown (probably CERL)

(C) 2000, 2010 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file gis/list.c.

## Function Documentation

## G_free_list()

void G_free_list | ( | char ** | list | ) |

Free list.

Parameters

  list | char* array to be freed

Returns

Definition at line 249 of file gis/list.c.

References G_free(), and list.

## G_list()

char ** G_list | ( | int | element,
|  | const char * | gisbase,
|  | const char * | location,
|  | const char * | mapset )

List specified type of elements. Application must release the allocated memory.

Parameters

  element | element type (G_ELEMENT_RASTER, G_ELEMENT_VECTOR, G_ELEMENT_REGION )
  gisbase | path to GISBASE
  location | location name
  mapset | mapset name

Returns
  zero terminated array of element names

Definition at line 173 of file gis/list.c.

References count, G_fatal_error(), G_free(), list, NULL, and strcpy.

## G_list_element()

void G_list_element | ( | const char * | element,
|  | const char * | desc,
|  | const char * | mapset,
|  | int(* | lister )(const char *, const char *, char *) )

General purpose list function.

Will list files from all mapsets in the mapset list for a specified database element.

Note: output is to stdout piped thru the more utility

lister (char *name char *mapset, char* buf)
name
const char * name
Definition named_colr.c:6

Given file name, and mapset, lister() should copy a string into 'buf' when called with name == "", should set buf to general title for mapset list.

Parameters

  element | database element (eg, "cell", "cellhd", etc.)
  desc | description for element (if NULL, element is used)
  mapset | mapset to be listed "" to list all mapsets in mapset search list "." will list current mapset
  lister | if given will call this routine to get a list title. NULL if no titles desired.

Definition at line 51 of file gis/list.c.

References count, G_close_pager(), G_get_mapset_name(), and G_open_pager().

Referenced by M_do_list().